Bug 143957 - Crash when switching transitions (kf5)
Summary: Crash when switching transitions (kf5)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: high critical
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.1
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2021-08-19 17:28 UTC by Buovjaga
Modified: 2021-08-25 08:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
GDB trace of crash (84.59 KB, text/plain)
2021-08-19 17:28 UTC, Buovjaga
Details
gdb bt (39.50 KB, text/plain)
2021-08-19 18:08 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2021-08-19 17:28:25 UTC
Created attachment 174425 [details]
GDB trace of crash

1. Launch Impress on Linux with kf5 backend
2. Switch transitions from Sidebar multiple times - crash might need three, sometimes happens immediately on the first pick

No repro with gtk3, gen or Win.

Bibisected with Linux 7.2 repo to binary commit d72efedf2a1c5e3fa1b57a08e27ad0c27bcac699, which includes these three source commits:

commit f90c68316c622971706568303a025bbc58351df3
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Fri Apr 23 14:03:31 2021 +0200

    WASM: add Emscripten demo application
    
    Change-Id: I31297142761255b1f357fc9677a644b7a93c921a
    Reviewed-on: https://gerrit.libreoffice.org/c/core/+/111128

commit 8a4173987edfeeb7e49c70617d43e3adc911d333
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Fri Apr 23 13:45:05 2021 +0200

    WASM: add initial support for Emscripten cross build
    
    - configure with:
    - --host=wasm64-local-emscripten
    - had to make a few externals optional, so adding:
      - --disable-nss
      - --disable-cmis
      - --disable-curl
    
    Change-Id: I48d1c73d2675ad2e2beaf2c341578199efbd24ee
    Reviewed-on: https://gerrit.libreoffice.org/c/core/+/111130

commit 013ddc4f5307df512767ca23b3922540b2b36d52
Author: Jan-Marek Glogowski <glogow@fbihome.de>
Date:   Fri Apr 23 10:04:29 2021 +0200

    Switch OPENSSL config var from negative to positive
    
    - align with most of the rest of config_host
    - rename DISABLE_OPENSSL to ENABLE_OPENSSL
    - make this configurable
    
    Change-Id: Ic3b41fcdda38db66134939f12265e0da24833d60
    Reviewed-on: https://gerrit.libreoffice.org/c/core/+/114564

Adding Cc: to Jan-Marek Glogowski
Comment 1 Julien Nabet 2021-08-19 18:08:58 UTC
Created attachment 174427 [details]
gdb bt

On pc Debian x86-64 with master sources updated today, I could reproduce this.

I attached bt (which must be the same as Buovjaga's one + some console logs just before bt.

It seems it crashes only on some specific slide transitions, for example Tiles.
Comment 2 Commit Notification 2021-08-20 07:56:37 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0f7fed9249e988ca34c5401d746887822b4aa9ce

tdf#143957 Qt5 always create an OpenGLContext

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Buovjaga 2021-08-20 11:52:11 UTC
Verified, thanks!

Arch Linux 64-bit
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 58a5bd793a2ed57077fc598281cc74e16373b877
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 20 August 2021
Comment 4 Commit Notification 2021-08-25 08:30:59 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/83be3b84228a67315882b65dc51cc86dc9d9afcc

tdf#143957 Qt5 always create an OpenGLContext

It will be available in 7.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.